<?php
	//Recibiremos por post el env?o para poder generar un email de envio
header('Content-Type: application/json');
ini_set('include_path', "../.." . PATH_SEPARATOR . get_include_path());
include_once('pre.php');
include('comunes/email/emails.php');
$json = file_get_contents('php://input');
$obj = json_decode($json);
$cod_pedido = $obj->{'codigo'};
$email = $obj->{'mail'};
if(isset($cod_pedido)){
	ob_start();
	?>
	<div>
		<h3>Para pagar su pedido haga click en el boton de abajo</h3>
		<button type="button" ><a href="<?=Shop::$configuracion->url?>pago_diferido/<?= $cod_pedido?>">Realizar pago</a></button>
		<small> Si el enlace anterior no funcionara copie y pegue en su navegador lo siguiente.</small>
		<small><?=Shop::$configuracion->url?>pago_diferido/<?= $cod_pedido?> </small>
	</div>
	<?php
	$texto = dame_email('Finalizar pago Hedra',ob_get_clean());
	envia_email($email, 'Finalizar pago Hedra', $texto, false);
	$respuesta = 1;
} else{
	$respuesta = 0;
}
//Vamos a devolver solamente un 1 o un 0 en funcion de lo que sea.
echo '{"respuesta":'.$respuesta.'}'
?>